data a;
input group1 value;
datalines;
1 3
2 12
13 56
22 57
0 9
-1 8
-2 10
;
run;


data a;
set a;
original = group1;
format group1 a.;
run;



proc format;
value a low-<0 = 'negative'
        0 = 'zero'
		0<-10 = 'Up to 10'
		10-<20 = '10 to 20'
		20-high = 'over 20';
run;



proc tabulate data=a;
class original;
var value;
table original,value*sum;
format original a.;
run;

proc tabulate data=a;
class group1;
var value;
table group1,value*sum;
run;


proc gchart data=a;
vbar group1 / sum sumvar=value ;
run;

proc gchart data=a;
vbar original / sum sumvar=value;
format original a.;
run;
